Skip to main content
`Ctrl`+`K`

# PCMGRegisterCoarseSpaceConstructor

Adds a method to the `PCMG` package for coarse space construction.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCMGRegisterCoarseSpaceConstructor(const char name[], PCMGCoarseSpaceConstructorFn *function)

Not Collective, No Fortran Support

## Input Parameters

- name - name of the constructor

- function - constructor routine, see `PCMGCoarseSpaceConstructorFn`

## Developer Notes

This does not appear to be used anywhere

## See Also

KSP: Linear System Solvers, `PCMGCoarseSpaceConstructorFn`, `PCMG`, `PCMGGetCoarseSpaceConstructor()`, `PCRegister()`

## Level

advanced

## Location

src/ksp/pc/impls/mg/mg.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages